# Tests unitaires jury BUT
# Essais avec un BUT GB et deux parcours sur S1, S2, S3

ReferentielCompetences:
  filename: but-GB-05012022-081625.xml
  specialite: GB

Formation:
  filename: scodoc_formation_BUT_GB_v1.xml
  # Association des UE aux compétences:
  ues:
    # S1 : Tronc commun GB
    'UE 11':
      annee: BUT1
      competence: Analyser
    'UE 12':
      annee: BUT1
      competence: Experimenter
    # S1 Parcours SEE
    'UE 1.3 SEE':
      annee: BUT1
      competence: Gérer
      parcours: SEE
    'UE 1.4 SEE':
      annee: BUT1
      competence: Traiter
      parcours: SEE
    # S1 Parcours BMB
    'UE 1.3 BMB':
      annee: BUT1
      competence: Mener
      parcours: BMB
    'UE 1.4 BMB':
      annee: BUT1
      competence: Réaliser
      parcours: BMB
    # S2 : Tronc commun GB
    'UE 21':
      annee: BUT1
      competence: Analyser
    'UE 22':
      annee: BUT1
      competence: Experimenter
    # S2 Parcours SEE
    'UE 23 SEE':
      annee: BUT1
      competence: Gérer
      parcours: SEE
    'UE 24 SEE':
      annee: BUT1
      competence: Traiter
      parcours: SEE
    # S2 Parcours BMB
    'UE 23 BMB':
      annee: BUT1
      competence: Mener
      parcours: BMB
    'UE 24 BMB':
      annee: BUT1
      competence: Réaliser
      parcours: BMB
    # S3 : Tronc commun GB
    'UE 3.1':
      annee: BUT2
      competence: Analyser
    'UE 3.2':
      annee: BUT2
      competence: Experimenter
    # S3 BMB
    'UE 3.3 BMB':
      annee: BUT2
      competence: Mener
      parcours: BMB
    'UE 3.4 BMB':
      annee: BUT2
      competence: Réaliser
      parcours: BMB
    'UE 3.5 BMB':
      annee: BUT2
      competence: Mettre en œuvre
      parcours: BMB
    # S3 SEE
    'UE 3.3 SEE':
      annee: BUT2
      competence: Gérer
      parcours: SEE
    'UE 3.4 SEE':
      annee: BUT2
      competence: Traiter
      parcours: SEE
    'UE 3.5 SEE':
      annee: BUT2
      competence: Déployer
      parcours: SEE
  modules_parcours:
    # cette section permet d'associer des modules à des parcours
    # les codes modules peuvent être des regexp
    BMB: [ .*BMB.* ]
    SEE: [ .*SEE.* ] 

FormSemestres:
  # S1 et S2 avec les parcours séparés:
  S1_SEE:
    idx: 1
    date_debut: 2021-09-01
    date_fin: 2022-01-15
    codes_parcours: ['SEE']
  S1_BMB:
    idx: 1
    date_debut: 2021-09-01
    date_fin: 2022-01-15
    codes_parcours: ['BMB']
  S2_SEE: 
    idx: 2
    date_debut: 2022-01-15
    date_fin: 2022-06-30
    codes_parcours: ['SEE']
  S2_BMB: 
    idx: 2
    date_debut: 2022-01-15
    date_fin: 2022-06-30
    codes_parcours: ['BMB']
  # S3 avec les deux parcours réunis:
  S3:
    idx: 3
    date_debut: 2022-09-01
    date_fin: 2023-01-15
    codes_parcours: ['SEE', 'BMB']


Etudiants:
  Aaaaa:
    prenom: Étudiant
    civilite: M
    formsemestres:
      S1_SEE:
        parcours: SEE
        notes_modules:
          R1.01: 12
          R1.SEE.11: 15
        deca:
          codes_min: [ ]
      S2_SEE:
        parcours: SEE
      S3:
        parcours: SEE
  Bbbbb:
    prenom: Étudiante
    civilite: F
    formsemestres:
      S1_BMB:
        parcours: BMB
      S2_BMB:
        parcours: BMB
      S3:
        parcours: BMB
